{*php
/**
 * The check view of order module for mobile of chanzhiEPS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件非免费软件
 * @author      Hao Sun <sunhao@cnezsoft.com>
 * @package     order 
 * @version     $Id$
 * @link        http://www.chanzhi.org
 */
/php*}
{include TPL_ROOT . 'common/header.html.php'}
{!js::set('goToPay', $lang->order->goToPay)}
{!js::set('paid', $lang->order->paid)}
{!js::set('balance', $balance)}
{!js::set('amount', $order->amount)}
{!js::set('currencySymbol', $currencySymbol)}
<style>input[type=radio] {position: relative; top: 1px;}</style>
<div class='panel panel-section'>
  <div class='panel-heading page-header'>
    <div class='title'><i class="icon icon-shopping-cart"></i> <strong>{$lang->order->selectPayment}</strong></div>
  </div>
  <form id='checkForm' action='{!helper::createLink('order', 'pay', "orderID=$order->id")}' method='post' target='_blank'>
    <div id='products' class='panel-body'>
      <table class='table table-bordered'>
        <thead>
          <tr class='bg-gray-pale'>
            <th class='text-left'><strong>{$lang->order->productInfo}</strong></th>
            <th class='text-center'>{$lang->order->count}</th>
            <th class='text-right'>{$lang->order->amount}</th>
          </tr>
        </thead>
        {foreach($products as $productID => $product)}
          {$extra = json_decode($product->extra)}
          <tr>
            <td class='text-left'>
              {!$product->productName}
              {if(!empty($extra))}
                {foreach($extra as $code => $value)}
                  {$value}&nbsp;
                {/foreach}
              {/if}
            </td>
            <td class='text-center'>
              <div class='text-count'>{$product->count}</div>
            </td>
            <td class='text-right'> 
              <div class='text-price'>{!echo $currencySymbol . number_format($product->price * $product->count, 2)}</div>
            </td>
          </tr>
        {/foreach}
      </table>
    </div>
    <div id='paymentBox' class='panel-body'>
      <div class='alert bg-gray-pale'><strong>{$lang->order->payment}</strong></div>
      <div id='payment' class='form-group'>
        {!html::radio('payment', $paymentList)}
      </div>
    </div>
    <div class='panel-body'>
      <div class='alert bg-primary-pale'>
        {!printf($lang->order->totalToPay, $currencySymbol . $order->amount)} &nbsp; 
        {if($balance && strpos($config->shop->payment, 'balance') !== false)} {!html::checkbox('balance', array(1 => sprintf($lang->order->placeholder->useBalance, $currencySymbol . $balance)), 1)} &nbsp;{/if} 
        {!printf($lang->order->needToPay, $currencySymbol . $order->amount)}
      </div>
    </div>
    <div class='panel-footer'>
      {!html::submitButton($lang->order->settlement, 'btn-order-submit btn danger block')}
    </div>
  </form>
  <form class='hide' id='payForm' method='post' action="{!inlink('redirect')}" target='_blank'>
    {!html::hidden('payLink', '')}
    <input class='submitBtn' type='submit' value="{$lang->confirm}" />
  </form>
</div>
{noparse}
<script>
$(document).ready(function()
{
    $('[name=payment]').eq(0).prop('checked', true);

    $("input[name*=balance]").change(function()
    {
        if(!$('input[type=checkbox]').prop('checked'))
        {
            $('#remainAmount').html(v.currencySymbol + v.amount);
        }
        if($('input[type=checkbox]').prop('checked'))
        {
            if(v.balance >= v.amount)
            {
                $('#remainAmount').html(v.currencySymbol + '0');
            }
            else
            {
                payAmount = parseFloat(v.amount) - parseFloat(v.balance);
                $('#remainAmount').html(parseFloat(payAmount).toFixed(2)).parent().show();
            }
        }
    });

    $("input[name*=balance]").change();

    $('#checkForm').ajaxform(
    {
        onSuccess: function(response)
        {
            $.messager.success(response.message);
            if(response.locate) window.location.href = response.locate;
        }
    });
});
</script>
{/noparse}
