{*php
/**
 * The index view file of search for mobile template of chanzhiEPS.
 * The file should be used as ajax content
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件非免费软件
 * @author      Hao Sun <sunhao@cnezsoft.com>
 * @package     search
 * @version     $Id$
 * @link        http://www.chanzhi.org
 */
/php*}
{include TPL_ROOT . 'common/header.html.php'}
<div class='panel panel-section'>
  <div class='panel-heading'>
    <div class='titile'><i class='icon-search'></i> {$lang->search->index}</div>
  </div>
  <div class='panel-body'>
  {if(isset($config->site->searchRange) and $config->site->searchRange == 'mall')}
    <div class='cards cards-products'>
      {foreach($results as $product)}
        <div class='col-6'>
          <div class='card' data-ve='product' id='product{$product->id}'>
            <a class='card-img' href='{$product->url}' style='height:150px;'>
              {if(empty($product->image))}
                {$imgColor = $product->id * 57 % 360}
                <div class='media-placeholder' style='background-color: hsl({$imgColor}, 60%, 80%); color: hsl({$imgColor}, 80%, 30%);' data-id='{$product->id}'>{$product->title}</div>
              {else}
                {$title  = $product->image->primary->title ? $product->image->primary->title : $product->title}
                {$product->image->primary->objectType = 'product'}
                {$imgSrc = $control->loadModel('file')->printFileURL($product->image->primary, 'middleURL')}
              {/if}
              <img class='lazy' title='{$title}' data-src='{$imgSrc}'>
            </a>
            <div class='card-content'>
              <a href='{$product->url}'>{$product->title}</a>
              {if(!$product->unsaleable)}
                {if($product->promotion != 0)}
                  <strong class='text-price'>{!echo $config->product->currencySymbol . $product->promotion}</strong>
                {else if($product->price != 0)}
                  <strong class='text-price'>{!echo $config->product->currencySymbol . $product->price}</strong>
                {/if}
              {/if}
              {$productView = isset($config->ui->productView) ? $config->ui->productView : true}
              {if($productView)}
                <span data-toggle='tooltip' class='text-muted views-count pull-right' title='{$lang->product->viewsCount}'><i class='icon icon-eye-open'></i> {$product->views}</span>
              {/if}
            </div>
          </div>
        </div>
      {/foreach}
    </div>
  {else}
    <div class='cards condensed cards-list'>
    {foreach($results as $object)}
      <a class='card' href='{$object->url}'>
        <div class='card-heading'>
          <h5>{$object->title}</h5>
        </div>
        <div class='table-layout'>
          <div class='table-cell'>
            <div class='card-content text-muted small'>{$object->summary}</div>
            <div class='card-footer small text-muted'>
              <span title="{$lang->article->addedDate}"><i class='icon-time'></i> {!substr($object->addedDate, 0, 10)}</span>
            </div>
          </div>
          {if(!empty($object->image))}
            <div class='table-cell thumbnail-cell'>
              {$title = $object->image->primary->title ? $object->image->primary->title : $object->title}
              {$object->image->primary->objectType = $object->objectType}
              {!html::image($control->loadModel('file')->printFileURL($object->image->primary, 'smallURL'), "title='{{$title}}' class='thumbnail'")}
            </div>
          {/if}
        </div>
      </a>
    {/foreach}
    </div>
  {/if}
  </div>
  <div class='panel-footer'>
    <div class='small text-muted text-center'>{!printf($lang->search->executeInfo, $pager->recTotal, $consumed)}</div>
    <hr class='space'>
    {!str_replace($words, urlencode($words), $pager->show('justify'))}
  </div>
</div>
