{include $control->loadModel('ui')->getEffectViewFile('mobile', 'common', 'header')}
{noparse}
<style>
.panel-heading {border: 1px solid #F1F1F1;}
.panel-section {margin-left:5px;margin-right:5px;}
.comment {padding-left:5px;padding-right:5px;}
</style>
{/noparse}
<div class='panel-section'>
  <div class='panel-heading page-header bg-gray-pale'>
    <div class='title'>
      <strong>
        <i class="icon icon-question"></i>{$lang->question->statusList[$question->status]}
        <i class="icon-double-angle-right"></i>{$question->title}
      </strong>
    </div>
    <div class='actions'>
      {if($app->user->admin == 'super')}
        {!html::a(inlink('delete', "questionID=$question->id"), $lang->ask->delete, "class='deleter btn primary'")}
      {/if}
      {if($question->account == $app->user->account and $question->status == 'wait' and $question->answers > 0)}
        {!html::a(inlink('close', "questionID=$question->id"), $lang->ask->close, "class='deleter btn danger'")}
      {/if}

      {if($app->user->admin == 'super' and $question->status == 'resolved' and !$alreadFAQ)}
        {!html::a(inlink('setAsFAQ', "questionID=$question->id"), $lang->ask->setAsFAQ, "class='btn primary ajaxJSON'")}
      {/if}
      {if($question->status == 'wait' and $app->user->account == 'guest')}
        {!html::linkButton($lang->ask->answer, $control->createLink('user', 'login', "referer=" . helper::safe64Encode($app->getURI())))}
      {/if}
    </div>
  </div>

  <div class='panel-body'>
    {$question->desc}
  </div>
  <div class='panel-footer' style='background-color:#f1f1f1; margin-bottom:5px;'>
   <p>
     {!printf($lang->question->lblBasic, empty($users[$question->account]) ? $question->account : $users[$question->account], $question->score, $question->addedDate, $question->answers, $question->views)}
     {if($app->user->account == $question->account and $question->status == 'wait')}
       {!html::a('###', $lang->ask->setComment, "onclick=$('#commentform').toggle() class='tile text-primary'")}
       {if(commonModel::isAvailable('score'))}
         {!echo ' | ' . $lang->ask->addScore . $lang->colon}
         {foreach($lang->question->scoreList as $score => $scoreLabel)}
           {!html::a(inlink('addScore', "questionID=$question->id&score=$score"), $scoreLabel, "class='tile text-red ajaxJSON'")}
         {/foreach}
       {/if}
     {/if}
   </p>
  </div>
</div>
<!-- Question Comment -->
{if($question->comment)}
  <div class='panel-section'>
    <div class='panel-heading bg-gray-pale'>
      <div class='title'><strong>{$lang->question->comment}</strong></div>
    </div>
    <div class='panel-body'>
      {$question->comment}
    </div>
  </div>
{/if}

<!-- Set question comment-->
<div id='commentform' class='panel-section hide'>
  <div class='panel-heading bg-gray-pale'><strong>{$lang->ask->setComment}</strong></div>
  <div class='panel-body'>
    <form method='post' id='ajaxComment' action='{!inlink('setComment', "questionID=$question->id")}'>
      <table class='table table-form'>
        <tr><td>{!html::textarea('comment', htmlspecialchars($question->comment), "rows='5' class='form-control'")}</td></tr>
        <tr><td>{!html::submitButton()}</td></tr>
      </table>
    </form>
  </div>
</div>

<!-- Answer Form -->
{if($control->ask->canAnswer($question->account, $answerUsers, $question->status))}
  <div class='panel-section'>
    <div class='panel-heading bg-gray-pale'><strong>{$lang->ask->answer}</strong></div>
    <div class='panel-body'>
      {if($faqList)}
        <div class='faqList' style='margin-left:5px;margin-right:5px;margin-top:5px;padding-left:5px;padding-right:5px;'>
          {!html::select('faq', $faqList, '', "class='form-control' onchange='setAnswerByFAQ(this.value)'")}
        </div>
      {/if}
      <form method='post' id='ajaxForm' action='{!inlink('answer', "questionID=$question->id")}'>
        <table class='table table-form'>
          <tr><td style='border-top-width: 0px;'>{!html::textarea('content', '', "rows=10 class='form-control'")}</td></tr>
          <tr><td>{!html::submitButton('', 'btn block primary')}</td></tr>
        </table>
      </form>
    </div>
  </div>
{/if}

<!-- Answer List -->
{if($answers)}
  <div class='panel-section'>
    <div class='panel-heading bg-gray-pale'>
      <strong>{$lang->ask->answers}</strong>
      <div class='pull-right text-danger'>
        {if($question->account == $app->user->account and $question->status == 'wait')}
          {$lang->question->lblClose}
        {/if}
      </div>
    </div>
  </div>
  {if($question->bestAnswer)}
    {$answer = $answers[$question->bestAnswer]}
    {@unset($answers[$question->bestAnswer])}
    <div class='comment w-p100 first bestanswer' id="answer{$answer->id}">
      <table class='table table-borderless'>
        <tr>
          <td class='td-content'>
            <div class='pull-right text-danger'><strong>{$lang->ask->bestAnswer}</strong></div>
            <div>
              <span class='account'>{!empty($users[$answer->account]) ? $answer->account : $users[$answer->account]}</span>
              <span class='time'>{!formatTime($answer->addedDate, 'Y/m/d')} </span>
            </div>
            <div class='content'>{$answer->content}</div>
          </td>
        </tr>
      </table>
    </div>
  {/if}

  {$i = 1}
  {foreach($answers as $id => $answer)}
    <div class='comment {!echo (!$question->bestAnswer and $i == 1 ? 'first' : '')}' id="answer{$answer->id}">
      <table class='table table-borderless w-p100'>
        <tr>
          <td class='td-content'>
            <div>
              <span class='account'>{!empty($users[$answer->account]) ? $answer->account : $users[$answer->account]}</span>
              <span class='time'>{!formatTime($answer->addedDate, 'Y/m/d')} </span>
            </div>
            <div class='content'>{$answer->content}</div>
            <div class='text-right reply-info'>
              {if($question->status == 'wait' and $question->account == $app->user->account)}
                {!html::a(inlink('setBestAnswer', "questionID=$question->id&answerID=$answer->id"), $lang->ask->setBestAnswer, "class='ajaxJSON'")}
              {/if}
    
              {if($app->user->account == $question->account and commonModel::isAvailable('score'))}
                {!echo ' | ' . $lang->ask->awardAnswer . ' '}
                {foreach($lang->question->scoreList as $score => $scoreLabel)}
                  {!html::a(inlink('awardAnswer', "answer=$answer->id&score=$score"), $scoreLabel, "class='ajaxJSON'")}
                {/foreach}
              {/if}
            </div>
          </td>
        </tr>
      </table>
    </div>
    {@$i++}
  {/foreach}
{/if}
{include $control->loadModel('ui')->getEffectViewFile('mobile', 'common', 'footer')}
